<?php
/*
* ---------------------------------------------------------
* This file contains function stubs for the following XAPI-J extension:
*
*   XMLExtension
*
* which is referenced in the php.ini file with the following line:
*
*   extension = zero.php.XMLExtension
*
* This file allows the extension functions to be found by PDT code assist.
* It should not be used in include or require statements.
* ---------------------------------------------------------
*/

/**
 * This function decodes a string containing XML encoded data into a SimpleXML-like object that can be used to retrieve the 
 XML data in a way natural for PHP developers. The object that is returned can be used to access the xml elements directly 
 as fields of the object. 
 In cases where the data is not decodable, xml_decode will show a PHP warning, and throw an
 XMLEncodingException with the same message, so problems may be caught in a PHP try/catch.
 
 Use the toString() method on an element to obtain the string representation of the object.
 
 Use the getAttribute() method on an element with the name of the attribute to retrieve the value of the attribute.
 
 Use the getAttributes() method on an element to return the complete array of attribute name value pairs.
 * @return object
 * @param xml string
 */
function xml_decode($xml) {
}

/**
 * This function allows PHP scripts to encode PHP script variables as XML. Valid input include primitive type and arrays.
 While support for encoding regular PHP objects is not available at this time, this function will encode objects decoded by
 the <code>xml_decode</code> function.
 In cases where the data is not encodable, xml_encode will show a PHP warning, and throw an
 XMLEncodingException with the same message, so problems may be caught in a PHP try/catch.
 * @param key mixed
 * @param idRefs boolean
 * @param xmlroot string
 */
function xml_encode($key, $idRefs, $xmlroot) {
}
?>
