<?php
/*
* ---------------------------------------------------------
* This file contains function stubs for the following XAPI-J extension:
*
*   ZeroExtension
*
* which is referenced in the php.ini file with the following line:
*
*   extension = zero.php.ZeroExtension
*
* This file allows the extension functions to be found by PDT code assist.
* It should not be used in include or require statements.
* ---------------------------------------------------------
*/

/**
 * Returns the document root for the Zero Application that is executing the calling script.
 * @return string
 */
function DOCROOT() {
}

/**
 * Fires an event registered in the Zero Runtime.
 * @param event_name string
 * @param event_data array
 */
function fire_event($event_name, $event_data) {
}

/**
 * Gets the absolute path of a file within the application's virtual directories.
 * @return string
 * @param virtualizedFilePath string
 */
function getVFile($virtualizedFilePath) {
}

/**
 * List all the files under a virtual directory.  The first file of a given name
 is added to the list, while any subsequent files with the same name are skipped.
 * @return array
 * @param virtualizedFilePath string
 */
function listFiles($virtualizedFilePath) {
}

/**
 * Helper function to render a view of data in the Global Context.
 */
function render_view() {
}

/**
 * This operation can be used to check if the specified key exists in the global context.
 <p>
 <b>NOTE: the function <code>contains()</code> has been removed, please use the function <code>zcontains()</code> instead.</b>
 <p>
 * @return boolean
 * @param key string
 */
function zcontains($key) {
}

/**
 * Removes a keys from the Global Context along with their values. If the optional <code>$deleteChildren</code> 
 parameter is present, the operation will use the provided <code>$key</code> as a prefix and remove any keys that
 begin with that prefix as well.
 <p>
 <b>NOTE: The function <code>delete()</code> has been removed, please use <code>zdelete()</code> instead.</b>
 <p>
 * @return boolean
 * @param key string
 * @param deleteChildren boolean
 */
function zdelete($key, $deleteChildren) {
}

/**
 * Dump the entire contents of the Global Context.
 <p>
 <b>NOTE: The function <code>dump()</code> has been removed, please use <code>zdump()</code> instead.</b>
 <p>
 * @return string
 * @param key string
 */
function zdump($key) {
}

/**
 * This function allows PHP scripts to retrieve values from the Global Context using the specified key. Keys in the Global Context
 are divided in to zones. The zone is the first path segment of the key. If a key does not exist in the Global Context then null is
 returned and the script continues running. The script can provide an optional second argument that serves as the
 default value for the key if the key does not exist.
 <p>
 The Zero runtime populates the Global Context with a initial set of keys and values depending on the configuration and the request. A script 
 developer may add to this by creating a script/application specific key using the <code>zput()</code> function
 <p>
 The following are valid keys
   /request/headers/in/Content-Type with a zone of /request
   /config/name with a zone of /config.
 <p>
 <b>NOTE: The function <code>get()</code> has been removed. Please use <code>zget()</code> instead.</b>
 <p>
 * @return mixed
 * @param key string
 * @param defaultValue mixed
 */
function zget($key, $defaultValue) {
}

/**
 * List all the Global Context paths at the specified key prefix. If the optional <code>$includePrefix</code> argument
 is provided, it is used to specify if the returned keys should contain the key prefix or not. By default, the returned keys
 are not fully qualified.
 <p>
 <b>NOTE: The function <code>list_keys()</code> has been removed, please use <code>zlist()</code> instead.</b>
 <p>
 * @return array
 * @param key string
 * @param includePrefix boolean
 */
function zlist($key, $includePrefix) {
}

/**
 * List all the Global Context paths that start at the specified key prefix. If the optional <code>$includePrefix</code> argument
 is provided, it is used to specify if the returned keys should contain the key prefix or not. By default, the returned keys
 are not fully qualified.
 * @return array
 * @param key string
 * @param includePrefix boolean
 */
function zlist_all($key, $includePrefix) {
}

/**
 * This function allows PHP scripts to post or append a value (usually a PHP array) identified by a key into the Global Context. 
 If a value exists and the value is a PHP array, this operation will merge the contents of the PHP array provided as an argument
 to the PHP array that is in the Global Context. If the key does not exist then the operation will act like a <code>zput()</code> operation.
 <p>
 <b>NOTE: The function <code>post()</code> has been removed, please use <code>zpost()</code> instead.</b>
 <p>
 * @param key string
 * @param value mixed
 * @param binary boolean
 */
function zpost($key, $value, $binary) {
}

/**
 * This function allows PHP scripts to put values into the Global Context based on a key. The values can 
 then be accessed using the key. The keys are logically divided by the zones which corresponds to
 the fist path segment of the key. The lifetime of the key and the value is determined
 by the zone that the key is associated with. 
 <p>
 The following are valid keys 
   /request/headers/out/Content-Type with zone /request
   /config/name with zone /config.
 <p>
 <b>NOTE: The function <code>put()</code> has been removed, please use <code>zput()</code> instead.</b>
 <p>
 * @param key string
 * @param value mixed
 * @param binary boolean
 */
function zput($key, $value, $binary) {
}
?>
