<?php

var_dump(java_import("java.lang.Integer", NULL, FALSE));
$value = new Integer(new JavaSignature(JAVA_STRING), "1234567890");
var_dump($value);
echo "Integer [".$value."]\n";

var_dump(java_import("java.util.Date"));
$date = new Date(70, 9, 4);
var_dump($date);
var_dump($date->toLocaleString());

var_dump(java_import("java.lang.Comparable"));
ReflectionClass::export("Comparable");

var_dump(java_import("java.io.File", array("Comparable"), FALSE));
$file = new File(new JavaSignature(JAVA_STRING), "/");
var_dump($file);
var_dump($file->isDirectory());

var_dump(java_import("java.security.SecureRandom", array("Serializable"), TRUE));
var_dump(java_import("java.security.cert.X509Certificate", array("X509Extension"), TRUE));
var_dump(java_import("java.security.cert.X509Certificate", array("X509Extension"), FALSE));

var_dump(java_import("java.lang.Integer", NULL, FALSE, "TestInteger"));
$value = new TestInteger(new JavaSignature(JAVA_STRING), "1234567890");
var_dump($value);
echo "Integer [".$value."]\n";

var_dump(java_import("java.util.ArrayList", array("Traversable"), FALSE));
ReflectionClass::export("ArrayList");

$list = new ArrayList();
$list->add("Hello World!");
$list->add(FALSE);
$list->add(1234567890);
var_dump($list);

foreach ($list as $key => $value) {
    echo $key." ".$value."\n";
}

?>

